Warning on page deletion if page is linked to (Special:Whatlinkshere)
Closed, ResolvedPublic

Description

Add a warning on page deletion if the page is linked to. Print linked to pages of Special:Whatlinkshere


Version: 1.21.x
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz35485.
Subfader created this task.Via LegacyMar 26 2012, 1:53 PM
gerritbot added a comment.Via ConduitMay 23 2013, 11:29 PM

Related URL: https://gerrit.wikimedia.org/r/65162 (Gerrit Change I623235736aa735232d6a727702d764538b0b65e7)

TheDJ added a comment.Via ConduitMay 24 2013, 7:37 AM

Created attachment 12384
Screenshot of layout with patch

I think this UI is a bit inconsistent. The two warnings are quite different. I'm not specifically in favor of the one style or the other, but I do think we should strive towards consistency.

Attached:

gerritbot added a comment.Via ConduitMay 26 2013, 11:01 AM

Related URL: https://gerrit.wikimedia.org/r/65581 (Gerrit Change Ie07a12a3fb35298b91d574afb890dc3177afe180)

gerritbot added a comment.Via ConduitDec 26 2013, 9:25 PM

Change 103852 had a related patch set uploaded by Hatul:
Show a warning on page deletion if a page is linked to

https://gerrit.wikimedia.org/r/103852

gerritbot added a comment.Via ConduitDec 30 2013, 12:08 PM

Change 103852 abandoned by Hatul:
Show a warning on page deletion if a page is linked to

Reason:
Duplicate patch.
I sended the patch to https://gerrit.wikimedia.org/r/#/c/65162/

https://gerrit.wikimedia.org/r/103852

gerritbot added a comment.Via ConduitDec 30 2013, 5:18 PM

Change 65162 merged by jenkins-bot:
Show a warning on page deletion if a page is linked to

https://gerrit.wikimedia.org/r/65162

Amire80 added a comment.Via ConduitDec 31 2013, 1:48 PM

Fixed by Ronen Gilead-Raz, Vladimir Krapp and Amiad Bareli in https://gerrit.wikimedia.org/r/#/c/65162/ (Tel Aviv Hackathon).

gerritbot added a comment.Via ConduitJan 18 2014, 2:03 PM

Change 65581 abandoned by Amire80:
Show a warning when deleting a page to which there are links

Reason:
Abandoning, because it was merged in another commit. Thank you, Ronen.

https://gerrit.wikimedia.org/r/65581

Tgr added a comment.Via ConduitFeb 13 2014, 7:59 AM

This is a cool feature, but mostly useless in its current form - at a minimum, there should be a link in the notification on the talk page of the user who created the article. Link checking should be restricted to content namespaces.

Also, a message warning about the existence of links should also provide a means to see what those links are. Yes, this will only be seen by admins, and they usually know how to find Special:WhatLinksHere, but even so it is an unnecessary inconvenience - the message should just include a link to it.

duplicatebug added a comment.Via ConduitMar 31 2014, 7:28 PM

(In reply to Tisza Gergő from comment #10)

This is a cool feature, but mostly useless in its current form - at a
minimum, there should be a link in the notification on the talk page of the
user who created the article. Link checking should be restricted to content
namespaces.

Also, a message warning about the existence of links should

also provide a means to see what those links are. Yes, this will only be
seen by admins, and they usually know how to find Special:WhatLinksHere, but
even so it is an unnecessary inconvenience - the message should just include
a link to it.

Link was added with gerrit 114713

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.